
package de.ivu.elect.presentation.kandidatur.menu;

import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.presentation.menu.MenuEntry;
import de.ivu.elect.presentation.wahlvorschlag.menu.AbstractWahlvorschlagSearchMenu;

@Named(DirektkandidaturSearchMenu.COMPONENT_NAME)
public class DirektkandidaturSearchMenu extends AbstractWahlvorschlagSearchMenu {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "direktkandidaturSearchMenu";

  @Inject
  private transient DirektkandidaturCreateMenuItemEntry direktkandidaturCreateMenuItemEntry;

  @Inject
  private transient EinzelbewerberDirektkandidaturCreateMenuItemEntry einzelbewerberDirektkandidaturCreateMenuItemEntry;

  @Inject
  private transient DirektkandidaturWahlvorschlaegeAlsListeDokumentErzeugenMenuItemEntry direktkandidaturWahlvorschlaegeAlsListeDokumentErzeugenMenuItemEntry;

  @Inject
  private transient DirektkandidaturZuTestzweckenZulassenMenuItemEntry direktkandidaturZuTestzweckenZulassenMenuItemEntry;

  public DirektkandidaturSearchMenu() {
    super();
  }

  @Override
  protected void addMenuEntriesCreate(List<MenuEntry> result) {
    result.add(direktkandidaturCreateMenuItemEntry); // ELECT-6813
    result.add(einzelbewerberDirektkandidaturCreateMenuItemEntry);
  }

  @Override
  protected void addMenuEntriesDokumentErzeugen(List<MenuEntry> result) {
    result.add(direktkandidaturWahlvorschlaegeAlsListeDokumentErzeugenMenuItemEntry);
  }

  @Override
  protected void addMenuEntriesZulassenZuTestzwecken(List<MenuEntry> result) {
    result.add(direktkandidaturZuTestzweckenZulassenMenuItemEntry);
  }
}
